Loading...

dev@ant.apache.org

[Prev] Thread [Next]  |  [Prev] Date [Next]

Re: NIO 2.0 == Ant 2.0? was Re: Java NIO support Nicolas Lalevée Thu Feb 16 11:01:26 2012

Le 14 févr. 2012 à 20:02, Bruce Atherton a écrit :

> On 2/14/2012 6:13 AM, Stefan Bodewig wrote:
>> 
>> This will lead us to the discussion of what Ant2 would be.  A rewritten
>> Ant that remains compatible (or mostly so) on the build file level or
>> something quite different?
>> 
> 
> My opinion.
> 
> I think we need at least an option for being backwards compatible at the 
> build file level and it should be the default for quite a while after an 
> initial 2.0 release.

A simple trick can be a declaration of a "version" attribute which would 
declare the minimum Ant version required to run the build file, and also 
declare how it should be interpreted. This is how it works for the ivy.xml for 
instance.

> I'd hope, though, that a redesign would have a fully pluggable parser so that 
> even with the first release there was an option to use something other than 
> XML.

I think you can already today, there are some experiments which show it works 
[1] [2]. The names of the classes of Ant may not be explicit, but I think the 
abstraction is there.

Nicolas

[1] http://svn.apache.org/repos/asf/ant/sandbox/javafront/
[2] http://svn.apache.org/repos/asf/ant/sandbox/groovyfront/


---------------------------------------------------------------------
To unsubscribe, e-mail: [EMAIL PROTECTED]
For additional commands, e-mail: [EMAIL PROTECTED]